import { defineComponent as s, computed as c, openBlock as u, createBlock as a, unref as t, normalizeProps as e, guardReactiveProps as m, withCtx as f, createVNode as l } from "vue";
import "../../confirm-button/index.mjs";
import "../../count-down-button/index.mjs";
import "../../ellipsis/index.mjs";
import "../../rich-text-editor/index.mjs";
import "../index.mjs";
import { WetProFormItem as d } from "../../pro-form/index.mjs";
import "../../pro-table/index.mjs";
import "../../pro-descriptions/index.mjs";
import "../../layout/index.mjs";
import "../../page/index.mjs";
import "../../guide/index.mjs";
import { ElSlider as P } from "element-plus";
import { wetProFormItemProps as _ } from "../../pro-form/src/types.mjs";
const z = /* @__PURE__ */ s({
  name: "WetFormSlider",
  __name: "slider",
  props: {
    ..._,
    formInputProps: {
      type: Object
    }
  },
  setup(p) {
    const o = p, i = c(() => {
      const r = { ...o };
      return delete r.formInputProps, r;
    });
    return (r, I) => (u(), a(t(d), e(m(i.value)), {
      default: f(({ modelValue: n }) => [
        l(t(P), e(m({
          ...n,
          ...o.formInputProps
        })), null, 16)
      ]),
      _: 1
    }, 16));
  }
});
export {
  z as default
};
